Graphics.UI.Gtk.ActionMenuToolbar.UIManager

# Detail

## UI Definitions

## A UI definition

## UI Merging

## Accelerators

## Smart Separators

## Empty Menus

# Class Hierarchy

# Types

data UIManager
class UIManagerClass o
castToUIManager
toUIManager
data UIManagerItemType
data MergeId

# Constructors

uiManagerNew

# Methods

uiManagerSetAddTearoffs
uiManagerGetAddTearoffs
uiManagerInsertActionGroup
uiManagerRemoveActionGroup
uiManagerGetActionGroups
uiManagerGetAccelGroup
uiManagerGetWidget
uiManagerGetToplevels
uiManagerGetAction
uiManagerAddUiFromString
uiManagerAddUiFromFile
uiManagerNewMergeId
uiManagerAddUi
uiManagerRemoveUi
uiManagerGetUi
uiManagerEnsureUpdate

# Attributes

uiManagerAddTearoffs
uiManagerUi

# Signals

addWidget
actionsChanged

# Deprecated

onAddWidget
afterAddWidget
onActionsChanged
afterActionsChanged
onConnectProxy
afterConnectProxy
onDisconnectProxy
afterDisconnectProxy
onPreActivate
afterPreActivate
onPostActivate
afterPostActivate